# frozen_string_literal: true

class Game
  attr_accessor :team_one, :team_two, :winning_team
  def initialize(raw_string)
    teams = raw_string.split(',')
    team_one_data = teams[0].split(' ')
    team_two_data = teams[1].split(' ')

    @winning_team = nil
    @team_one = team_one_data[0..-2].join(' ')
    @team_two = team_two_data[0..-2].join(' ')

    @team_one_score = team_one_data[-1].to_i
    @team_two_score = team_two_data[-1].to_i

    if draw?
      return
    end

    if @team_one_score > @team_two_score
      @winning_team = @team_one
    else
      @winning_team = @team_two
    end
  end

  def draw?
    @team_one_score == @team_two_score
  end

  def adjustment
    if draw?
      return { @team_one => 1,
               @team_two => 1}
    end

    if @team_one_score > @team_two_score
      return {
          @team_one => 3,
          @team_two => 0
      }
    else
      return {
          @team_one => 0,
          @team_two => 3
      }
    end
  end
end