# frozen_string_literal: true

class League
  attr_accessor :games, :score_hash

  def initialize(games_array)
    @games = games_array
    @score_hash = {}
  end

  def results
    @games.each do |game|
      adjust_score(game.adjustment)
    end

    result_array = @score_hash.sort_by { |k, v|  k }
    result_array = result_array.reverse
    result_array = result_array.sort_by { |k, v|  v }
    result_array = result_array.reverse
    result_array.each_with_index.map do |item, index|
      "#{index + 1}. #{item[0]}, #{item[1]} #{item[1] > 1 || item[1] == 0 ? 'pts' : 'pt'}"
    end
  end

  def adjust_score(adjustment_data)
    adjustment_data.each do |key, value|
      if @score_hash.key?(key)
        @score_hash[key] += value
      else
        @score_hash[key] = value
      end
    end
  end
end